Openoffice 1.1 not building

Gautam Gopalakrishnan gautam at inspired.net.au
Fri Feb 20 19:41:07 PST 2004


On Fri, 20 Feb 2004 19:12:20 -0800
Kris Kennaway <kris at obsecurity.org> wrote:

> On Sat, Feb 21, 2004 at 01:48:22PM +1100, Gautam Gopalakrishnan wrote:
> > I had tried to build using a simple "make install clean" and got
> > this build error after about 6-7 hrs. Then I tried USE_GCC (as
> > specified in the Makefile). It really does not matter as I have only
> > one version of gcc installed. I had no problems compiling
> > openoffice-1.1.0_1, just 1.1.0_2
> 
> Where in the makefile does it tell you to set USE_GCC?  That is
> absolutely wrong.


The makefile eventually sets CC and CXX if we use USE_GCC, but my
problem is that I get a build error even I don't use USE_GCC.

Gautam

------------

[madras!/usr/ports/editors/openoffice-1.1]$ ident Makefile 
Makefile:
     $FreeBSD: ports/editors/openoffice-1.1/Makefile,v 1.115 2004/02/04 05:25:21 marcus Exp $

In the makefile:
.if !defined(USE_GCC)
    @${ECHO}
    @${ECHO} "You can compile OO with different"
    @${ECHO} "gcc compiler versions:"
    @${ECHO}
    @${ECHO} "Add USE_GCC=2.95 or USE_GCC=3.2"
    @${ECHO} "to compile openoffice with your"
    @${ECHO} "preferred compiler."
.endif




More information about the freebsd-ports mailing list